> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.feedonomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.feedonomics.com/_mcp/server.

# Get Seller Initiated Refunds

GET https://marketplace-order-api.feedamp.feedonomics.com/api/v1/refunds

Get all seller-initiated refunds from FeedAMP, filtered by search criteria

Reference: https://docs.feedonomics.com/developer/api-reference/rest/feed-amp-order-source-api/refunds/get-orders-refunds

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `mp_order_numbers` (list of string, optional) — Comma-delimited list of marketplace order numbers to ref refund information for
- `refund_status` (list of enum, optional) — Comma-delimited list of refunds statuses&#x20; CREATED refunds that are ready to be processed PAUSED refunds that have unresolved errors COMPLETE refunds that have been marked as complete by the marketplace
  - Allowed values: `CREATED`, `PAUSED`, `COMPLETE`
- `created_after` (datetime, optional) — Include refunds created on or after this date (format ISO 8601 default time zone is America/New_York)
- `created_before` (datetime, optional) — Include refunds created on or before this date (format ISO 8601 default time zone is America/New_York)
- `page_size` (integer, optional, default: 20) — The number of orders per page to return
- `cursor` (string, optional) — Cursor for the next page of orders

## Response

### 200

Order Refunds

- `refunds` (list of RefundModel, required)
- `next_cursor` (string, optional) — The cursor to get the next page of orders

## Errors

### 400 Bad Request Error

Invalid Query Parameters

- `list of GetOrderQueryParameterError`

### 401 Unauthorized Error

Invalid token

- `error` (string, optional) — Message describing the authentication failure

## Types

### RefundModel

A list of refunds for a given order

- `feedamp_refund_id` (integer, required) — internal unique id that identifies this particular refund
- `mp_order_number` (string, optional) — the mp odder number the refund should be applied to
- `notes` (any, optional) — Custom notes on the refund to send to the customer. If reason is set to 'OTHER', this field contains additional information regarding the refund.
- `status` (enum, optional) — Status of the Refund in FeedAMP CREATED - The refund is ready to be processed PAUSED - The refund is not ready to be processed. If the market place reports any errors for a refund the refunds becomes paused. When the seller resolves the errors the state changes back to CREATED COMPLETE - The marketplace has indicated that the refund has been processed
  - Allowed values: `CREATED`, `PAUSED`, `COMPLETE`
- `date_created` (date, optional) — Date the refund was created. ISO 8601 DATE YYYY-MM-DD
- `merchant_refund_lines` (list of RefundLine, optional) — Collection of lines refunded by merchant
- `errors` (list of RefundError, optional) — Collection of active errors for the refund

### GetOrderQueryParameterError

A validation error for a Get Order query parameter

- `query_parameter` (string, required) — The query parameter that did not pass validation
- `message` (string, required) — Message describing the error

### RefundLine

Amounts adjusted per order line

- `mp_line_number` (string, required) — the mp line number the refund should be applied to
- `currency` (enum, required) — ISO 4217 Currency codes
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `CNY`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SLL`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UYW`, `UZS`, `VED`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`
- `refund_quantity` (integer, optional) — The quantity that is being refunded for the order line.
- `item_refund` (double, optional) — the amount to refund for the item pre-tax cost
- `item_tax_refund` (double, optional) — The amount to refunded for the item sales tax.
- `shipping_refund` (double, optional) — the amount to refund for the pre-tax shipping cost
- `shipping_tax_refund` (double, optional) — The amount being refunded for the shipping tax
- `discount_refund` (double, optional) — The discount amount being refunded/undone.
- `reason` (enum, optional) — The reason for the refund. Please see Enum for accepted values. If set to 'OTHER', it is strongly recommended to enter a description in the 'NOTES' field.
  - Allowed values: `CUSTOMER_CANCELLED`, `CUSTOMER_RETURN`, `ACCIDENTAL_ORDER`, `WRONG_ITEM_RECEIVED`, `DEFECTIVE_ITEM_RECEIVED`, `DAMAGED_ITEM_RECEIVED`, `ITEM_NEVER_RECEIVED`, `ITEM_RECEIVED_LATE`, `WRONG_QUANTITY_RECEIVED`, `COULD_NOT_SHIP`, `ABANDONED`, `PRICE_ERROR`, `OUT_OF_STOCK`, `TAX_ERROR`, `SHIPPING_COST_ERROR`, `FRAUD`, `OTHER`

### RefundError

A refund validation error from the marketplace

- `code` (enum, required) — Code to uniquely identify the type of error
  - Allowed values: `FULL_REFUND_REQUIRED`, `EXCESS_ITEM_REFUND`, `EXCESS_SHIPPING_REFUND`, `INVALID_CURRENCY`, `INVALID_DISCOUNT_REFUND`, `INVALID_ITEM_REFUND INVALID_INVALID_ITEM_TAX_REFUND`, `INVALID_REFUND_REASON`, `INVALID_QUANTITY`, `INVALID_SHIPPING`, `INVALID_SHIPPING_TAX_REFUND`, `LINE_ALREADY_REFUNDED`, `MP_LINE_NUMBER_DOES_NOT_EXIST`
- `message` (string, required) — An error message that which will help seller identify the cause of the error and correct the issue.

## Examples

**Response**

```json
{
  "refunds": [
    {
      "feedamp_refund_id": 1001,
      "mp_order_number": "ABC-123",
      "notes": null,
      "status": "CREATED",
      "date_created": {},
      "merchant_refund_lines": [
        {
          "mp_line_number": "ABC-123-GHY-219",
          "currency": "USD",
          "refund_quantity": 1,
          "item_refund": 6.99,
          "item_tax_refund": 0.11,
          "shipping_refund": 0,
          "shipping_tax_refund": 0,
          "discount_refund": 0,
          "reason": "CUSTOMER_CANCELLED"
        }
      ],
      "errors": [
        {
          "code": "EXCESS_ITEM_REFUND",
          "message": "Requested refund amount (100.99) exceeds the line's cost (75.99)"
        }
      ]
    }
  ],
  "next_cursor": "12FDG-31dsfgHW"
}
```

**SDK Code**

```python
import requests

url = "https://marketplace-order-api.feedamp.feedonomics.com/api/v1/refunds"

querystring = {"created_after":"{}","created_before":"{}","cursor":"12FDG-31dsfgHW"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://marketplace-order-api.feedamp.feedonomics.com/api/v1/refunds?created_after=%7B%7D&created_before=%7B%7D&cursor=12FDG-31dsfgHW';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace-order-api.feedamp.feedonomics.com/api/v1/refunds?created_after=%7B%7D&created_before=%7B%7D&cursor=12FDG-31dsfgHW"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace-order-api.feedamp.feedonomics.com/api/v1/refunds?created_after=%7B%7D&created_before=%7B%7D&cursor=12FDG-31dsfgHW")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://marketplace-order-api.feedamp.feedonomics.com/api/v1/refunds?created_after=%7B%7D&created_before=%7B%7D&cursor=12FDG-31dsfgHW")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://marketplace-order-api.feedamp.feedonomics.com/api/v1/refunds?created_after=%7B%7D&created_before=%7B%7D&cursor=12FDG-31dsfgHW', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace-order-api.feedamp.feedonomics.com/api/v1/refunds?created_after=%7B%7D&created_before=%7B%7D&cursor=12FDG-31dsfgHW");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace-order-api.feedamp.feedonomics.com/api/v1/refunds?created_after=%7B%7D&created_before=%7B%7D&cursor=12FDG-31dsfgHW")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```